<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<div>
		<h2>HTML Entities</h2>
		<p><em>Reserve Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
	</div>
	<!-- Creates a HTML table -->
	<div>
		<table border="1">
		<!-- Table header content -->
		<thead>
			<!-- Table row content -->
			<tr>
				<!-- Table headings -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<!-- Table body content -->
		<tbody>
			<!-- row1 less than -->
			<tr>
				<!-- Create table data -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
			<!-- row2 greater than -->
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<!-- row3 peso sign -->
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>
			<!-- row 4 ampersand -->
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			<!-- row 5 double quotation mark -->
			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>
			<!-- row 6 single quotation mark -->
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>
			<!-- row 7 lower tilde -->
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>low tilde</td>
			</tr>
			<!-- row 8 upper tilde -->
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>upper tilde</td>
			</tr>
			</tbody>
			<!-- table footer -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML Entities</th>
			</tr>
		</tfoot>
	</table>
	</div>	
	
	
	<caption>Table 1. HTML reserved characters</caption>

	<div>
		<hr>
		<h2>HTML Forms</h2>
		<p><em>Input elements that make up a form</em></p>
	</div>

	<!-- Creates HTML form to get user input -->
	<div>
		<form action="https://google.com">
		<!-- Creates a label -->
		<label for="fullName">Full name:</label><br>

		<!-- Creates input text field -->
		<input type="text" name="fullName" id="fullName" required><br>
		<!-- Input field for datepicker -->
		<label for="birthDate">Birth Date:</label><br>
		<input type="date" name="birthDate" id="birthDate" required><br>
		<!-- Input field for numbers -->
		<label for="age">Age:</label><br>
		<input type="number" name="age" id="age" required><br>
		<label for="gender">Gender:</label><br>
		<!-- dropdown menu -->
				<!-- Input field for dropdown option -->
		<select name="gender" id="gender">
			<!-- creates option -->
			<option>Please Select</option>
			<option value="Male">Male</option>
			<option value="Female">Female</option>
			<option value="Others">Prefer not to specify</option>
		</select><br>

		<label>New user:</label><br>
		<!-- Creates radio button/relational button -->
		<input type="radio" name="userType" id="newUser" value="new">
		<!-- for id -->
		<label for="userType">Yes</label><br>
		<input type="radio" name="userType" id="oldUser" value="notNew">
		<label for="userType">No</label><br>

		<!-- Checkbox button -->
		<label>Role:</label><br>
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label><br>

		<!-- Text area -->
		<br><label for="notes">Notes:</label><br>
		<textarea name="notes" id="notes" rows="5"></textarea><br>

		<!-- Submit button -->
		<br><button type="submit">Submit</button><br>
		<!-- Reset button -->
		<button type="reset">Reset</button>
		</form>
	</div>
	
	

</body>
</html>